class MERClassicReportColumnHeader(WBLComponent):
	def init(self):
		super(MERClassicReportColumnHeader, self).init()
		self.title				= None
		self.key				= None
		self.sortDescriptors	= None
		return self
	
	def sortDescriptor(self):
		if len(self.sortDescriptors)>0:
			return self.sortDescriptors[0]
		else:
			return None

	def toggleOrdering(self):
		desc = self.sortDescriptor()
		if (not desc) or desc.key() != self.key:
			self.sortDescriptors = [NSSortDescriptor.alloc().initWithKey_ascending_(self.key, True)]
		else:
			self.sortDescriptors = [NSSortDescriptor.alloc().initWithKey_ascending_(self.key, (not desc.ascending()))]
		return None
		
	def hyperlinkClass(self):
		desc = self.sortDescriptor()
		if desc and desc.key() == self.key:
			return "sorted"
		else:
			return None
			
	def pushesBindingWithKey_(self, key):
		return key == "sortDescriptors"

	def isClickable(self):
		return self.sortDescriptor() and not self.isBeingExported()